Skip to main content
Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 3.7.0SynchronousAuth Required

GetLatestGuestToolsForVm

GetLatestGuestToolsForVm

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the operation succeeds.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryGuestToolsInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • managementNodeUuidStringRequired

      The management node UUID.

    • architectureStringRequired

      The architecture.

    • hypervisorTypeStringRequired

      The hypervisor type.

    • versionStringRequired

      The version.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/vm-instances/{uuid}/latest-guest-tools

/zstack/v1/vm-instances/{uuid}/latest-guest-tools

Operation ID

GetLatestGuestToolsForVm

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/{uuid}/latest-guest-tools?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventory": { "uuid": "281ed8f30eff42c4a8d788384b782977", "managementNodeUuid": "9fbb4361b1e2466f933558d45746bb59", "architecture": "x86_64", "hypervisorType": "kvm", "version": "1.0.0", "createDate": "Oct 9, 2019 7:37:57 PM", "lastOpDate": "Oct 9, 2019 7:37:57 PM" } }

Change History

This API has no change history records yet.

View all change history